/// <reference types="node" />
import { NgModule } from "@angular/core";
import { Story } from "../types";
export declare function setAddon(addon: any): void;
export declare function addDecorator(decorator: any): void;
export declare function configure(loaders: () => NodeRequire | void, moduleRef: NodeModule): void;
export declare function getStorybook(): StorybookSection[];
export declare function getGlobalMetadata(): NgModule;
export declare function setGlobalMetadata(metadata: NgModule): void;
export interface StorybookSection {
    kind: string;
    stories: StorybookStory[];
}
export interface StorybookStory {
    name: string;
    render: () => Story<any>;
}
