"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var META = require("./n9ngxstb.meta");
var PropKind;
(function (PropKind) {
    PropKind[PropKind["Regular"] = 0] = "Regular";
    PropKind[PropKind["OnlyGetter"] = 1] = "OnlyGetter";
    PropKind[PropKind["OnlySetter"] = 2] = "OnlySetter";
})(PropKind = exports.PropKind || (exports.PropKind = {}));
var TypeKind;
(function (TypeKind) {
    TypeKind[TypeKind["Component"] = 0] = "Component";
    TypeKind[TypeKind["Directive"] = 1] = "Directive";
    TypeKind[TypeKind["Pipe"] = 2] = "Pipe";
    TypeKind[TypeKind["NonAngular"] = 3] = "NonAngular";
})(TypeKind = exports.TypeKind || (exports.TypeKind = {}));
function asMeta(key) {
    if (!key) {
        return;
    }
    return META[key.k];
}
exports.asMeta = asMeta;
function asType(key) {
    if (!key) {
        return;
    }
    return key.c || key;
}
exports.asType = asType;
function asAnnotated(key) {
    if (!key) {
        return;
    }
    key = key.c || key;
    if (!key.__annotations__) {
        return;
    }
    return key.__annotations__[0];
}
exports.asAnnotated = asAnnotated;
