import { Injector, PipeTransform, ElementRef } from "@angular/core";
import { TypeMetadata, ArgDef } from "../../../server/analysis/metadata";
import { StoryData } from "./common";
export declare class PipeUsage {
    constructor(data: StoryData, injector: Injector);
    meta: TypeMetadata;
    pipeName: string;
    pipe: PipeTransform;
    srcArg: ArgDef;
    args: ArgDef[];
    argValues: ElementRef[];
    result: any;
    run(): void;
    evalInput(expression: string): any;
}
